Добро пожаловать в Registry Workshop ¦_Welcome

Registry Workshop является продвинутым редактором реестра. Это идеальная замена для RegEdit и RegEdt32, поставляемых с Windows.

В дополнение ко всем стандартным функциям, Registry Workshop добавляет ряд мощных функций, которые позволяют вам работать с реестром быстрее и более эффективно. Вы можете вырезать, копировать и вставлять разделы и параметры реестра. Вы можете отменять и возвращать изменения (повторять отмену). Вы можете быстро и легко искать и заменять разделы, параметры и значения параметров реестра. Registry Workshop позволяет редактировать REG-файлы таким же способом, как вы редактируете системный реестр. Он также предлагает простые и гибкие функции для управления «Избранным».

С помощью Registry Workshop редактирование реестра становится более безопасным, чем когда-либо прежде. Все изменения, кроме изменений (сделанных вами для) разрешений разделов, можно безопасно отменить, используя много-уровневую Отмену. Вам не нужно беспокоиться об ошибках при редактировании реестра.

Независимо от того, являетесь ли вы продвинутым пользователем (которому необходимо отредактировать и изменить свой реестр, чтобы удалить записи троянских, шпионских программ и вирусов) или системным администратором (которому нужен более безопасный и эффективный инструмент для обслуживания компьютеров вашей компании) или разработчиком программного обеспечения (которому необходимо быстро манипулировать разделами и параметрами реестра во время разработки системы) - Registry Workshop имеет инструменты которые вам нужны.


Возможности Registry Workshop ¦_Features

  • Много-уровневая Отмена и Возврат (отмены). История отмены может быть сохранена на диск и перезагружена при запуске.

  • Поиск и замена разделов, параметров и значений реестра с помощью сверхбыстрого алгоритма поиска.

  • Сравнение реестров компьютеров и (или) .REG-файлов с супер быстрой скоростью.

  • Подключение реестра мобильного устройства с помощью ActiveSync.

  • Вырезка, копирование и вставка разделов и параметров реестра.

  • Перетягивание (перетаскивание и сброс) для перемещения или копирования разделов и параметров.

  • Правка .REG и .POL файлов в той же манере что и правка системного реестра.

  • Резервирование и восстановление реестра.

  • Дефрагментация реестра

  • Простое и гибкое управление «Избранным».

  • Быстрый просмотр реестр с помощью адресной строкой, закладок избранного и истории посещений.

  • Поддержка способности знания связей. Вы можете использовать контекстное меню, чтобы перейти к ссылаемому разделу, открыть папку содержащую объект (перейти к объекту в его папке) или открыть URL, если раздел или параметр содержат ProgID, ClassID, папку, путь к файлу или URL.

  • Быстрый переход к HKLM или HKCU эквиваленту.

  • Быстрый переход к Wow6432Node или не-Wow6432Node эквиваленту.

  • Возможность открытия нескольких окон локальных реестров.

  • Возможность открытия защищенных разделов реестра при запуске с правами администратора.

  • Правка двоичных (binary) данных в формате BYTE, WORD или DWORD.


Системные требования ¦_Installation

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows 8
  • Windows 10

Установка

Запустите файл установки RegistryWorkshop.exe и следуйте инструкциям.

Удаление

Запустите пункт 'Uninstall' из папки Registry Workshop в меню стартовой кнопки "Пуск" или откройте в Панели управления 'Программы и компоненты' ('Add/Remove Programs') и сделайте двойной клик по 'Registry Workshop' в списке окошка.


Лицензионное соглашение ¦_License

Перед использованием этого программного обеспечения вы должны внимательно прочитать следующие положения и условия. С помощью этого программного обеспечения вы подтверждаете свое согласие с этим лицензионным соглашением и гарантией.

Ознакомительный период и Регистрация
Registry Workshop является условно-бесплатной. Вы можете использовать это программное обеспечение в ознакомительных целях бесплатно в течение 30 дней. Если вы используете это программное обеспечение после 30-дневного ознакомительного периода, вы должны оплатить регистрационный взнос.

Распространение ознакомительной версии
Вы можете копировать ознакомительную версию этого программного обеспечения и документацию по своему желанию и предоставлять точные копии исходной ознакомительной версии кому угодно, а также распространить ознакомительную версию программного обеспечения и документации в неизмененной форме с помощью электронных средств. Но вы не должны взимать плату или просить пожертвований для любых такого рода копий, как бы это ни было сделано, и не должны распространять программное обеспечение и/или документацию с другими продуктами без письменного разрешения автора.

Зарегистрированная версия
Одна зарегистрированная копия Registry Workshop может использоваться либо одним человеком, который лично использует программное обеспечение на одном или нескольких компьютерах, либо может быть установлена на единственной рабочей станции, которую не используют одновременно несколько человек, но не оба варианта стразц. Вы можете получить доступ к зарегистрированной версии Workshop Registry через сеть, при условии, что вы получили индивидуальные лицензии на программное обеспечение, охватывающее все рабочие станции, которые будут получать доступ к программному обеспечению через сеть.

ОТКАЗ ОТ ГАРАНТИЙ
ЭТО ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРОДАЕТСЯ "КАК ЕСТЬ" И БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ В ОТНОШЕНИИ ТОВАРНОГО СОСТОЯНИЯ ИЛИ ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННОЙ ЦЕЛИ ИЛИ ЛЮБЫХ ДРУГИХ ГАРАНТИЙ, ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ. АВТОР НЕ БУДЕТ НЕСТИ ОТВЕТСТВЕННОСТЬ ЗА ПОТЕРЮ ДАННЫХ, УБЫТКИ, УПУЩЕННУЮ ВЫГОДУ ИЛИ ЛЮБЫЕ ДРУГИЕ ВИДЫ УБЫТКОВ ПРИ ИСПОЛЬЗОВАНИИ ИЛИ НЕПРАВЛЬНОМ ИСПОЛЬЗОВАНИИ ДАННОГО ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ.


¦_Registration
Регистрация ¦_Registration

Registry Workshop НЕ является бесплатным программным обеспечением. Вы можете использовать это программное обеспечение в ознакомительных целях бесплатно в течение 30 дней. Если вы используете это программное обеспечение после 30-дневного ознакомительного периода, вы должны оплатить регистрационный взнос.

Преимущества для зарегистрированных пользователей

  • Бесплатные обновления в течение всего срока службы этого продукта.

  • Бесплатная техническая поддержка по электронной почте.

  • Регистрируя Registry Workshop, вы поддерживаете дальнейшую разработку этого программного обеспечения.


Домашняя страница ¦_Support

Если вы хотите получить самую последнюю информацию о Registry Workshop, посетите нашу домашнюю страницу в Интернете. Вы также можете скачать последнюю версию Registry Workshop на нашей домашней странице.
http://www.torchsoft.com

Обратная связь

Пожалуйста, отправляйте любой отчет об ошибке, предложение, вопрос и комментарий автору по следующему адресу.
support@torchsoft.com

Если вы хотите сообщить об ошибке, предоставьте следующую информацию:

  • Можете ли вы воспроизвести ошибку? Если да, пожалуйста, опишите шаги, которые приводят к ошибке, с которой вы столкнулись. Будьте предельно точны.

  • Какую версию Registry Workshop вы используете?

  • Какую версию Windows вы используете?

  • Если сообщение об ошибке было отображено, пожалуйста, указывайте точное содержание этого сообщения.


Часто задаваемые вопросы ¦_Frequently questions

  • Какова взаимосвязь между кустами реестра и файлами?
  • Как я могу редактировать реестр на не загруженной системе Windows?
  • Я не могу удалить раздел реестра, есть ли способ обойти эту проблему?
  • Могу ли я использовать аббревиатуру (сокращения) для корневых разделов в адресной строке?
  • Я вижу HKLM и HKU в снимке локального реестра. Что можно сказать о HKCR, HKCU и HKCC?

Какова взаимосвязь между кустами реестра и файлами?

Windows поддерживает список кустов, существующих на определенной машине в разделе HKLM\SYSTEM\CurrentControlSet\Control\hivelist. В следующей таблице перечислены стандартные кусты реестра и соответствующие файлы.

Куст реестра | Файл
HKLM\SAM | %SystemRoot%\System32\Config\SAM
HKLM\SECURITY | %SystemRoot%\System32\Config\Security
HKLM\SOFTWARE | %SystemRoot%\System32\Config\Software
HKLM\SYSTEM | %SystemRoot%\System32\Config\System
HKU\.DEFAULT | %SystemRoot%\System32\Config\DEFAULT
HKU\SID | Documents and Settings\userName\NTUSER.DAT
HKU\SID_Classes | Documents and Settings\userName\Local Settings\Application Data\Microsoft\Windows\UsrClass.dat

Как я могу редактировать реестр на не загруженной системе Windows?

Вы можете (физически) переместить жесткий диск с поврежденной Windows на другой компьютер, и использовать функцию Загрузить куст, чтобы загрузить куст реестра и отредактировать его.

Я не могу удалить раздел реестра, есть ли способ обойти эту проблему?

Если вы уверены, что это не проблема с разрешением (раздела), попробуйте выполнить следующие действия.

  • Выберите любой раздел реестра и экспортируйте его в файл куста реестра. Из соображений быстродействия не выбирайте раздел, содержащий множество подразделов и параметров.
  • Выделите родительский раздел для раздела, который вы хотите удалить. Если в родительском разделе есть другие разделы и параметры, переместите эти разделы и параметры в другое место или экспортируйте их в REG-файл.
  • Импортируйте файл куста реестра на вершину родительского раздела (который вы выделили). Эта операция перезапишет всё в родительском разделе.
  • Удалите импортированные разделы и параметры и восстановите старое содержимое.

Могу ли я использовать аббревиатуру (сокращения) для корневых разделов в адресной строке?

Да, вы можете использовать следующие сокращения.

Root Key | Сокращение
HKEY_CLASSES_ROOT | HKCR
HKEY_CURRENT_USER | HKCU
HKEY_LOCAL_MACHINE | HKLM
HKEY_USERS | HKU
HKEY_CURRENT_CONFIG | HKCC

Я вижу HKLM и HKU в снимке локального реестра. Что можно сказать о HKCR, HKCU и HKCC?

HKLM и HKU содержат все данные реестра. HKCR, HKCU и HKCC являются просто символическими ссылками.

Корневой раздел | Эквивалент
HKCR | HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU | HKU\SID
HKCC | HKLM\SYSTEM\CurrentControlSet\Hardware Profiles\Current


Сочетания клавиш ¦_Shortcut keys

В следующей таблице перечислены сочетания клавиш, используемые в Registry Workshop.

Сочетания клавиш | Описание
F1 | Открывает файл справки
Ctrl + N | Создает новый REG файл
Ctrl + O | Открывает существующий REG файл
Ctrl + S | Сохраняет активный REG файл
Alt + F4 | Выходит из Registry Workshop
Alt + Enter | Открывает диалог "Свойства раздела"
Ctrl + A | Выбирает все элементы в списке
Ctrl + Z | Отменяет последнее действие
Ctrl + Y | Возвращает предыдущее отмененное действие
Ctrl + C, Ctrl + Ins | Копирует выделенное и помещает его в буфер
Ctrl + X, Shift + Del | Вырезает выделенное и помещает его в буфер
Ctrl + V, Shift + Ins | Вставляет содержимое буфера
Del | Удаляет выделенное
F2 | Переименовывает выделенное
Ctrl + F | Открывает диалог "Поиск"
Alt + F3 | Новый поиск, используя последние критерии поиска
F3 | Переходит к следующему совпадающему разделу или параметру в результатах последнего поиска
Shift + F3 | Переходит к предыдущему совпадающему разделу или параметру в результатах последнего поиска
Ctrl + G | Открывает диалог "Перейти к разделу"
Alt + D | Активирует (выделяет) адресную строку
F4 | Активирует адресную строку и раскрывает ее раскрывающийся список
F5 | Обновляет активное окно реестра
F6 | Переходит к следующей закладке
Shift + F6 | Переходит к предыдущей закладке
Ctrl + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Задает или убирает закладку с указанным номером
Alt + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Переходит к закладке с указанным номером
F7 | Переключает фокус между окном реестра и пристыкованным окном панели
Ctrl + F7 | Переключает фокус к следующему окну пристыкованной панели
Ctrl + Shift + F7 | Переключает фокус к предыдущему окну пристыкованной панели
Tab | Переключает фокус между деревом реестра и окном со списком параметров реестра, или переключает фокус между двумя списками в окне сравнения результатов
Ctrl + Tab | Переключает фокус к следующему окну (вкладке) реестра
Ctrl + Shift + Tab | Переключает фокус к предыдущему окну (вкладке) реестра
F11 | Переходит к следующему различию в списке сравнения результатов
Shift + F11 | Переходит к предыдущему различию в списке сравнения результатов
Backspace | Переход вверх на один уровень (в иерархии реестра)
Alt + Вверх (стрелка) | Переход вверх на один уровень (в иерархии реестра)
Ctrl + Назад (кнопка мыши) | Переход вверх на один уровень (в иерархии реестра)
Alt + Влево (стрелка) | Переходит к предыдущему разделу в истории посещений
Назад (кнопка мыши) | Переходит к предыдущему разделу в истории посещений
Alt + Вправо (стрелка) | Переходит к следующему разделу в истории посещений
Вперед (кнопка мыши) | Переходит к следующему разделу в истории посещений
Ключ приложения, Shift + F10 | Отображает контекстное меню
Средняя (кнопка мыши, колесо) | Закрывает вкладку реестра при клике по ней
Shift + ~ | Переходит к Wow6432Node или не-Wow6432Node эквиваленту
Ctrl + ~ | Переходит к эквиваленту HKLM или HKCU
Ctrl + E | Экспортирует выбранные разделы и параметры в файл
Ctrl + Q | Загружает файл куста в реестр
Ctrl + W | Выгружает файл куста из реестра (если его название в фокусе)
Ctrl + T | Переключает состояние "Поверх всех окон"
Ctrl + R | Вызывает диалог "Замена результатов поиска (в окне где выполнялся поиск)" для результатов поиска 1


Синтаксис опций командной строки ¦_Command line

Registry Workshop имеет ряд параметров командной строки, которые помогают автоматизировать его использование либо в пакетных batch-файлах или в командной строке.

RegWorkshop.exe [опции] [имя_файла] [reg_путь]
[имя_файла] | Открыть файл реестра в Registry Workshop.
/g [reg_путь] | Открыть Registry Workshop и перейти к [reg_пути].
/f [строка] | Открыть Registry Workshop и найти запись реестра для [строки] с параметрами поиска по умолчанию.
/s [имя_файла] | Импортировать файл реестра без кокого-либо подтверждения.
/e [имя_файла] [reg_путь] | Экспортировать реестр в [имя_файла] начиная с [reg_путь]. Пример: RegWorkshop /e c:\temp.reg "HKEY_CURRENT_USER\Control Panel"
/a [имя_файла] [reg_путь] | Тоже, что и /e, но всегда генерировать 4 версию реестровых файлов.
/n [имя_комп или IP-адрес] | Подключить сетевой реестр.

Примечания

  • [имя_файла] и [reg_путь] должны быть заключены в двойные кавычки, если они содержат пробельные символы.
  • Registry Workshop будет запускаться как консольные приложения при использовании /s, /e и /a опций.

Синтаксис протокола reg:URL

Registry Workshop поддерживает протокол reg:URL и позволяет вам открыть любой раздел реестра с помощью Registry Workshop, используя адресную строку проводника. Эта же функция может также использоваться в HTML-страницах и документах для встраивания ссылок реестра, которые заставляли бы открываться Registry Workshop и переходить к определенному разделу реестра.

reg:[reg_путь]

Пример 1: reg:HKEY_CURRENT_USER\Control Panel
Пример 2: reg:HKCU\Control Panel

Примечания

  • [reg_путь] не должен заключаться в двойные кавычки.


Добавление раздела реестра ¦_Add Key

  1. В дереве реестра выберите раздел реестра, в который вы хотите добавить новый раздел.
  2. В меню Правка кликните Создать раздел.
  3. Введите имя нового раздела и нажмите ENTER.


Добавление параметра реестра ¦_Add Value

  1. Выберите раздел, в который вы хотите добавить новый параметр.
  2. В меню Правка выберите подменю Создать параметр, и затем выберите тип параметра, который вы хотите добавить:
    SZ (строковый)    ,
    BINARY (двоичный)    ,
    DWORD (32 бита)    ,
    MULTI_SZ (мультистроковый)    ,
    EXPAND_SZ (расширяемый строковый)    ,
    DWORD_BIG_ENDIAN    ,
    QWORD (64 бита)    ,
    Link Value    ,
    RESOURSE_LIST    ,
    FULL_RESOURSE_DESCRIPTOR    ,
    RESOURSE_REQUIREMENTS_LIST    .
  3. Напечатайте имя для нового параметра, затем нажмите ENTER.


Изменение параметра реестра ¦_Change Value

  1. Выделите параметр, который вы хотите изменить.
  2. В меню Правка кликните Изменить....
  3. В Значении параметра напечатайте новые данные для параметра и затем нажмите OK..


Удаление Разделов реестра и Параметров ¦_Delete Key

  1. Выделите Разделы и Параметры, котрые хотите удалить.
  2. В меню Правка кликните Удалить.


Переименование Раздела реестра или Параметра ¦_Rename Key

  1. Выделите Раздел или Параметр, который вы хотите переименовать
  2. В меню Правка кликните Переименовать.
  3. Напечатайте новое имя и затем нажмите ENTER.


Вырезка Разделов и Параметров ¦_Cut

  1. Выделите Разделы и Параметры, которые вы хотите вырезать.
  2. В меню Правка кликните Вырезать.


Копирование Разделов реестра и Параметров ¦_Copy keys

  1. Выделите разделы и параметры, которые вы хотите скопировать.
  2. В меню Правка кликните Копировать.


Вставка Разделов реестра и Параметров ¦_Paste

  1. Выделите раздел куда вы хотите вставить.
  2. В меню Правка кликните Вставить.


Правка разрешений раздела реестра ¦_Permissions

  1. Выделите раздел для которого вы хотите править разрешения.
  2. В меню Правка кликните Разрешения....


Копирование имени раздела реестра ¦_Copy Key Name

  1. Выделите раздел, чьё имя вы хотите скопировать.
  2. Сделайте правый клик чтобы отобразить всплывающее контекстное меню.
  3. Чтобы скопировать полное имя раздела, нажмите Копировать полное имя раздела. Чтобы скопировать текущее выделенное имя, нажмите Копировать имя раздела.
  4. Вставьте имя раздела реестра в другую программу или документ.


Копирование имени параметра реестра ¦_Copy Value Name

  1. Выделите параметр, чьё имя вы хотите скопировать.
  2. Сделайте правый клик чтобы отобразить всплывающее контекстное меню.
  3. Нажмите Копировать имя параметра.
  4. Вставьте имя параметра реестра в другую программу или документ.


Копирование значения параметра реестра ¦_Copy Value Data

  1. Выделите параметр, чьё значение вы хотите скопировать.
  2. Сделайте правый клик чтобы отобразить всплывающее контекстное меню.
  3. Нажмите Копировать значение параметра.
  4. Вставьте значение параметра реестра в другую программу или документ.


Разметка разделов и параметров на удаление ¦_Mark As Delete

Эта функция предназначена только для файлов реестра. С помощью этой функции вы можете добавить команду удаления внутрь файлов реестра.

  1. Выделите разделы и параметры
  2. Сделайте правый клик чтобы отобразить всплывающее контекстное меню.
  3. Нажмите Вставить/изъять метку 'Удалить'.

Примечания

  • Если раздел или параметр уже помечены на удаление, то повторное выполнение этой операции переключит их состояние (в неразмеченное).
  • Если вы хотите, чтобы при импорте файла реестра раздел был удален , вы должны удалить все подразделы и параметры в разделе.
  • Эта операция не поддерживает отмену и возврат (действия).


Поиск в реестре ¦_Find

  1. Если вы хотите выполнить поиск в указанном разделе реестра, кликните раздел, в котором вы хотите выполнить поиск.
  2. В меню Поиск кликните Найти....
  3. В поле диалога Найти, введите что вы хотите найти.
  4. Выберите (где найти):

    В именах разделов
    В именах параметров
    В значениях параметров

    , и (условия поиска):

    С учётом регистра
    Только строка целиком
    С подстановочными знаками (*, ?)
    Двоичный поиск

     с помощью флажков, соответствующих типу поиска.
  5. Выберите радио-кнопки Весь реестр или Раздел, которые вам нужны.
  6. Нажмите Найти.
  7. Появится диалог отображения состояния поиска, где вы можете нажать кнопку Отмена для остановки поиска.

Как выполнять поиск с использованием подстановочных знаков?

Вы можете использовать '*' и '?' как подстановочные знаки при поиске в реестре. Знак '*' символизирует ноль или более символов, а знак '?' - любой одиночный симмвол. Например, для поиска всех строк начинающихся с "abc", введите "abc*".

Примечания

  • Дубли совпадений будут автоматически удалены из результатов поиска.
  • Двоичный поиск должен использоваться только для поиска нетекстовой информации в реестре.
  • Вы можете выполнить поиск части пути к разделу реестра. Например, раздел
    "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Command Processor"
    будет найден при поиске "Microsoft\Command". Однако функция замены на найденных разделах не работает.
    (не работает так, как принято в стандартных диалогах Найти-Заменить)
  • Вы можете сделать правый клик в окне результатов поиска, чтобы отобразить контекстное меню и используя его управлять найденными результатами.


Замена результатов поиска ¦_Replace

  1. Активируйте окно Результаты поиска. Если вы хотите заменить только выбранные элементы, (то заранее) выделите элементы, которые вы хотите заменить.
  2. В меню Поиск кликните Заменить найденное поиска 1 (или 2)
    (№ 1 или 2 указывает на окно результатов поиска. Если результатов поиска 2 нет, то будет только № 1)    .
  3. В поле Заменить на, введите то, чем вы хотите заменить найденное.
  4. Выберите галки
    В именах разделов, В именах параметров, В значениях параметров,
    и галки
    С учётом регистра, Только строка целиком
    для создания желаемого типа поиска.
  5. Выберите радио-кнопки Все элементы из результатов поиска или Только выделенные элементы по своему желанию.
  6. Нажмите Заменить.

Примечания

  • Функция замены будет отключена, если для получения найденного в результатах поиска использовался поиск с подстановочными знаками или бинарный поиск.
  • Успешно заменённые элементы будут удалены из окна результатов поиска.


Резервирование и Восстановление локального реестра ¦_Backup and Restore

В меню Файл кликните Резервирование и восстановление... чтобы открыть диалог "Резервирование и восстановление".

Резервирование реестра

  1. Кликните Резервировать.
  2. В поле Комментарий, введите комментарий для резервной копии.
  3. В секции Кусты реестра, выберите кусты реестра, которые вы хотите зарезервировать.
  4. Нажмите Ok.

Восстановление реестра

  1. Выберите (в диалоге Резервирование и восстановление) резервную копию, которую вы хотите восстановить.
  2. Нажмите Восстановить.
  3. Нажмите Да.

Правка комментария

  1. Выберите (в диалоге Резервирование и восстановление) резервную копию, которую вы хотите править.
  2. Нажмите Комментарий.
  3. В поле Комментарий, введите новый комментарий для резервной копии.
  4. Нажмите Ok.

Удаление резервной копии

  1. Выберите (в диалоге Резервирование и восстановление) резервную копию, которую вы хотите удалить.
  2. Нажмите Удалить.
  3. Нажмите Да.


Резервирование локального реестра в конкретную папку ¦_Backup To

  1. В меню Файл кликните Резервировать в....
  2. В (открывшемся) диалоге Обзор папок выберите папку, в которой вы хотите сохранить резервную копию и нажмите Ok.
  3. В поле Комментарий, введите комментарий для резервной копии.
  4. В секции Кусты реестра, выберите кусты реестра, которые вы хотите зарезервировать.
  5. Нажмите Ok.


Восстановление локального реестра из конкретной папки ¦_Restore From

  1. В меню Файл кликните Восстановить из....
  2. В (открывшемся) диалоге Обзор папок выберите папку, в которой размещена резервная копия.
  3. Нажмите Ok.


Дефрагментация локального реестра ¦_Defragment

  1. В меню Файл кликните Дефрагментация....
  2. Нажмите OK.
  3. В диалоге Дефрагментация выберите кусты реестра, которые вы хотите дефрагментировать.
  4. Нажмите OK.

Как это работает?

Дефрагментация реестра работает путем воссоздания каждого куста реестра. Для дефрагментации локального реестра программа создает резервную копию полного реестра и затем восстанавливает его из резервной копии. Вам не нужно дефрагментировать реестр после его восстановления из резервной копии.


Импорт части или всего реестра ¦_Import reg file

  1. В меню Файл кликните Импорт....
  2. В (раскрывающемся списке) Тип файлов, кликните Файлы реестра.
  3. Найдите файл, который вы хотите импортировать, кликните по файлу, чтобы выбрать его, затем нажмите Открыть.


Экспорт части или всего реестра в текстовый файл ¦_Export reg file

  1. Выберите раздел(ы) реестра и (или) параметр(ы), которые вы хотите экспортировать.
  2. В меню Файл кликните Экспорт...
  3. В поле Имя файла введите имя для файла реестра.
  4. В (раскрывающемся списке) Тип файла кликните Файлы реестра Win2K/XP или Файлы реестра Win9x/NT.
  5. Нажмите Сохранить.


Импорт раздела реестра из файла куста ¦_Import hive

  1. Выберите раздел в котором вы хотите восстановить куст.
  2. В меню Файл кликните Импорт....
  3. В списке Смотреть в (списке выбора папки для открытия), выберите диск, папку, или сетевой компьютер и папку, где размещен куст.
  4. В (раскрывающемся списке) Тип файлов, выберите Файлы кустов реестра.
  5. Выберите правильное имя файла куста.
  6. Нажмите Открыть.

Примечания

Файлы кустов реестра не будут отображаться в списке Тип файлов если вы выберите один из корневых разделов.


Экспорт раздела реестра в файла куста ¦_Export hive

  1. Выберите раздел, который вы хотите экспортировать.
  2. В меню Файл кликните Экспорт....
  3. В дилаоге Экспорт файла реестра В списке Сохранить в (список выбора папки для сохранения), выберите диск, папку, или сетевой компьютер и папку, где вы хотите сохранить куст.
  4. В поле Имя файла введите имя для куста.
  5. В (раскрывающемся списке) Тип файла кликните Файлы кустов реестра.
  6. Нажмите Сохранить.


Загрузка куста в реестр ¦_Load Hive

  1. В меню Файл кликните Загрузить куст....
  2. В списке Смотреть в (списке выбора папки), кликните диск, папку или сетевой компьютер и папку, где содержится куст, который вы хотите загрузить.
  3. Нажмите Открыть.
  4. В поле Задайте имя раздела (для загрузки куста), введите имя, которое вы хотите назначить кусту.
  5. В секции Выберите родительский раздел кликните радио-кнопку разделов HKEY_LOCAL_MACHINE или HKEY_USERS.
  6. Нажмите OK.

Примечания

Загрузка куста и Выгрузка куста затрагивают только разделы HKEY_LOCAL_MACHINE и HKEY_USERS и активны (речь о кнопке ОК) только при выборе этих стандартных разделов. При загрузке куста в реестр, куст становится подразделом одного из этих разделов.


Выгрузка куста из реестра ¦_Unload Hive

  1. Выделите куст, который вы предварительно загрузили в систему.
  2. В меню Файл кликните Выгрузить куст.


Создание снимка локального реестра ¦_Snapshot

  1. В меню Файл кликните Cнимок локального реестра.
  2. Подождите несколько секунд и будет открыто новое окно реестра.

Примечание

Вы обнаружите что разделы HKCR, HKCU и HKCC не существуют в снимке реестра. Потому что разделы HKLM и HKU содержат все данные реестра. Разделы HKCR, HKCU и HKCC являются просто ссылками.

HKCR = HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU = HKU\SID
HKCC = HKLM\SYSTEM\CurrentControlSet\Hardware Profiles\Current


Подключение сетевого реестра ¦_Connect network

  1. В меню Файл кликните Подключить сетевой реестр....
  2. В диалоге Подключение сетевого реестра найдите или введите имя компьютера, к реестру которого вы хотите подключиться.

Примечания

Вы должны быть загружены в систему как администратор или член группы администраторов на обоих (вашем и 'удалённом') компьютерах, прежде чем вы сможете сделать любые изменения в реестре удаленного компьютера. Помешать завершить эту процедуру могут также параметры сетевой политики.


Отключение сетевого реестра ¦_Disconnect network

Чтобы отключиться от сетевого реестра, просто закройте соответствующее окно реестра.


Подключение реестра мобильного устройства ¦_Connect mobile

  1. Установите соединение с мобильным устройством с помощью ActiveSync.
  2. В меню Файл кликните Подключить реестр мобильника.

Примечания

Если вы отключите и снова подключите свое мобильное устройство, вы должны вручную обновить (F5) окно реестра, чтобы обновить соединение.


Отключение реестра мобильного устройства ¦_Disconnect mobile

Чтобы отключиться от реестра мобильных устройств, просто закройте соответствующее окно реестра.


Добавление раздела реестра или параметра в «Избранное» ¦_Add Favorites

  1. Выберите раздел реестра или параметр, которые вы хотите добавить в Избранное.
  2. В меню Избранное кликните Добавить в Избранное....
  3. В диалоге Выбор категории избранного кликните категорию, в которую вы хотите поместить избранный элемент, а затем нажмите OK.
  4. В диалоге Правка пункта Избранного можете изменить текст в полях Отображаемое название, Имя раздела, Параметр и Описание, а затем нажать OK.


Добавление категории в избранное ¦_Add Category

  1. В окне Избранное кликните категорию внутрь которой вы хотели бы добавить новую категорию.
  2. В меню Избранное кликните Новая категория Избранного.
  3. Введите имя новой категории и нажмите ENTER.


Изменение элемента «Избранное» ¦_Change Favorites

  1. В окне Избранное выделите элемент Избранного для изменения.
  2. В меню Избранное кликните Правка....
  3. В диалоге Правка пункта Избранного можете изменить текст в полях Отображаемое название, Имя раздела, Параметр и Описание, а затем нажать OK.


Удаление элемента или категории Избранного ¦_Delete Favorites

  1. В окне Избранное выделите элемент или категорию Избранного для удаления.
  2. В меню Избранное кликните Удалить.


Переименование элемента или категории Избранного ¦_Rename Favorites

  1. В окне Избранное выделите элемент или категорию Избранного для переименования.
  2. В меню Избранное кликните Переименовать.
  3. Введите новое имя и затем нажмите ENTER.


Перемещение элемента или категории Избранного ¦_Move Favorites

  1. В окне Избранное выделите элемент или категорию Избранного для перемещения.
  2. В меню Избранное кликните Переместить в....
  3. В диалоге Выбор категории избранного кликните категорию, в которую вы хотите поместить элемент или категорию Избранного, а затем нажмите OK.

Примечания

Вы можете использовать перетаскивание для перемещения элемента или категории Избранного.


Копирование элемента или категории Избранного ¦_Copy Favorites

  1. В окне Избранное выделите элемент или категорию Избранного для копирования.
  2. В меню Избранное кликните Копировать в....
  3. В диалоге Выбор категории избранного кликните категорию, в которую вы хотите поместить элемент или категорию Избранного, а затем нажмите OK.

Примечания

Вы можете использовать перетаскивание для копирования элемента или категории Избранного, удерживая клавишу CTRL во время перетаскивания.


Переход к разделам или параметрам, которые сохранены в элементе Избранного ¦_Jump Favorites

  1. В окне Избранное дважды кликните элемент Избранного.


Импорт избранного ¦_Import Favorites

  1. В меню Избранное кликните Импорт....
  2. В списке Смотреть в (списке выбора папки), выберите диск, папку, или сетевой компьютер и папку, где размещено Избранное.
  3. Выберите правильное имя файла.
  4. Нажмите Открыть.

Примечания

Импортированные элементы Избранного будут перезаписывать текущие элементы с тем же именем.


Экспорт всего избранного ¦_Export All Favorites

  1. В меню Избранное кликните Экспортировать всё....
  2. В диалоге в списке Сохранить в (список выбора папки для сохранения), кликните диск, папку, или сетевой компьютер и папку, где вы хотите сохранить Избранное.
  3. В поле Имя файла, введите имя для файла избранного.
  4. В (раскрывающемся списке) Тип файла, кликните Файлы Избранного Registry Workshop или Избранное RegEdit.
  5. Нажмите Сохранить.


Экспорт выбранного Избранного ¦_Export Selected Favorites

  1. В окне Избранное выделите категорию для экспорта.
  2. В меню Избранное кликните Экспорт категории Избранного....
  3. В диалоге в списке Сохранить в (список выбора папки для сохранения), кликните диск, папку, или сетевой компьютер и папку, где вы хотите сохранить Избранное.
  4. В поле Имя файла, введите имя для файла избранного.
  5. В (раскрывающемся списке) Тип файла, кликните Файлы Избранного Registry Workshop или Избранное RegEdit.
  6. Нажмите Сохранить.


Сравнение реестров ¦_Compare

  1. Откройте 'удалённые' реестры или файлы реестров, которые вы хотите сравнить. Если вы хотите хотите сравнить два раздела в локальном реестре, пропустите этот шаг.
  2. В меню Инструменты кликните Сравнить реестры....
  3. В диалоге Сравнение выберите разделы реестров, которые вы хотите сравнить. Если вы хотите сравнить реестры целиком, оставьте поле "Раздел реестра" пустым, или введите "".
  4. Нажмите Сравнить.


Запускать на разделе реестра, бывшем активным при выходе ¦_General

Установите этот флажок, чтобы автоматически перейти к последнему активному разделу реестра при запуске этой программы.

Запускать программу в режиме только для чтения

Установите этот флажок, чтобы задать режим только для чтения при открытии окна редактирования реестра. Вы можете изменить режим только для чтения текущего окна редактирования, выбрав Режим только для чтения из меню Правка.

Разрешить перетаскивание

Установите этот флажок, чтобы разрешить использование перетаскивания для операций перемещения или копирования.

  • Если вы делаете перетаскивание в том же окне реестра, программа будет перемещать разделы или параметры.
  • Если вы удерживаете клавишу CTRL во время перетаскивания, программа будет копировать разделы и параметры.
  • При перетаскивании между двумя окнами реестров, программа будет копировать разделы и параметры.
  • Если вы перетаскиваете раздел или параметр в окно «Избранное», программа добавит раздел или параметр в «Избранное».
  • Если выполняете перетаскивание внутри окна «Избранное», вы можете перемещать или копировать «Избранное» между категориями.

Пытаться открыть разделы, доступ к которым запрещен

Если эта программа выполняется с привилегиями администратора, эта настройка позволит вам открывать разделы реестра к которым обычно вы не имеете прав доступа.

Вести список последних файлов.

Установите этот флажок, чтобы отображать недавно использованные файлы реестра в меню Файл.

Максим. число

Этот параметр позволяет вам задать максимальное число недавно использованных файлов, отображаемых в меню «Файл». Значение по умолчанию - 10.

Показывать этот список в подменю "Последние файлы"

Когда флажок стоит, недавно использованные файлы реестра перечисляются в подменю меню Файл. В противном случае недавно использованные файлы реестра перечисляются в самом меню Файл.

Сохранять историю измен'й локального реестра при выходе

Установите этот флажок, чтобы сохранять историю изменений локального реестра при выходе.

Максим. число пунктов в истории изменений

Эта настройка позволяет вам установить максимальное число действий в истории отмены. Если размер истории отмены превышает этот размер, программа удалит самое старое действие. Значение по умолчанию - 1000.

Максим. число найденного в результатах поиска

Эта настройка позволяет задать максимальное число найденного в результатах поиска. Значение по умолчанию - 1000.

Язык

Эта настройка позволяет вам установить язык интерфейса этой программы.


Подтверждать удаление разделов и параметров ¦_Prompt

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при выполнении команды удалить или вырезать.

Подтверждать перезапись разделов и параметров

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при записи в разделы или параметры, которые уже существуют.

Подтверждать перемещение перетягом

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при перетаскивании разделов реестра, параметров реестра или избранного с целью перемещения.

Подтверждать копирование перетягом (перетяг с Ctrl)

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при перетаскивании разделов реестра, параметров реестра или избранного с целью копирования.

Подтверждать импорт куста реестра

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при импорте файла куста реестра.

Подтверждать отмену и возврат в окне 'История изменений'

Установите этот флажок, чтобы появлялось окно подтверждения сообщения при выборе из контекстного меню в окне 'История изменений' команд 'Отменить это действие', 'Вернуть это действие (повторить)' или 'Перейти в это состояние'.

При переходе к разделу которого нет - предлагать создать его

Установите этот флажок, чтобы выдавать запрос пользователю с предложением создать отсутствующий раздел при переходе на несуществующий раздел реестра.

При переходе к параметру которого нет - сообщать об ошибке

Установите этот флажок, чтобы показывать сообщение об ошибке при переходе к несуществующему параметру.

При завершении поиска - проигрывать звук

Установите этот флажок, чтобы воспроизводить звук для уведомления вас о том что поиск заверешён.

Перед экспортом реестра в файл - окно 'Правка комментария'

Установите этот флажок, чтобы открывать диалог "Правка комментария" при экспорте реестра в файл.


Отображать разделы реестра (в окне параметров) ¦_Display

Установите этот флажок, чтобы отображать как разделы реестра так и параметры в панели просмотра списка.

Выделение - всей строкой (в окне параметров)

Установите этот флажок, чтобы задать режим полного выделения строки в панели просмотра списка.

Цвета: Разделы с запрещённым доступом

Эта настройка позволяет вам задать цвет отображения разделов реестра, которые возвращают сообщение об ошибке доступа при открытии в обычном режиме.

Цвета: Элементы .reg-файла с меткой удалить

Эта настройка позволяет вам задать цвет отображения разделов и параметров реестра, помеченных на удаление в редактируемом файле.

Цвета: Совпадения в результатах поиска

Эта настройка позволяет вам задать цвет отображения найденного в результатах поиска.

Цвета: Закладки

Эта настройка позволяет вам задать цвет фона элементов реестра, имеющих закладку.

Шрифт

Эта настройка позволяет вам задать шрифт в панели просмотра дерева и в панели просмотра списка.


Избранное ¦_Directories

Задает папку, в которой хранится файл конфигурации Избранного. Registry Workshop попытается загрузить файл конфигурации избранногоfavorites.dat в этой папки при его запуске.

Резервные копии реестра

Задает папку, в которой хранятся резервные копии реестра.

HTML отчёты

Задает папку, в которой хранятся HTML отчёты результатов поиска и результатов сравнения.


Пункт Registry Workshop в контекстном меню .reg файлов ¦_Shell

Установите этот флажок, чтобы отображать пункт меню 'Registry Workshop' в контекстном меню правого клика по .reg-файлам.

Ярлык Registry Workshop на рабочем столе (для запуска)

Установите этот флажок, чтобы создать ярлык для этой программы на рабочем столе. Снимите этот флажок, чтобы удалить ярлык с рабочего стола.


Add Category

Add a category to Favorites

  1. In the Favorites window, click the category under which you would like to add a new category.
  2. On the Favorites menu, click New Category.
  3. Type a name for the new category, and then press ENTER.


Add Favorites

Add a registry key or value to Favorites

  1. Select the registry key or value you want to add to Favorites.
  2. On the Favorites menu, click Add to Favorites.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item, and then click OK.
  4. In the Edit Favorites Item dialog box, modify the Display name, Key name, Value and Description, and then click OK.


Add Key

Add a registry key

  1. In the registry tree, click the registry key under which you would like to add a new key.
  2. On the Edit menu, click New Key.
  3. Type a name for the new key, and then press ENTER.


Add Value

Add a registry value

  1. Click the key where you want to add the new value.
  2. On the Edit menu, point to New, and then click the type of value you want to add: String Value, Binary Value, DWORD Value, Multi-String Value, Expandable String Value, Big Endian DWORD Value, QWORD Value, Link Value, Resource List Value, Full Resource Descriptor Value, or Resource Requirements List Value.
  3. Type a name for the new value, then press ENTER.


Backup and Restore

Backup and restore local registry

On the File menu, click Backup and Restore to open Backup and Restore dialog.

Backup registry

  1. Click Backup.
  2. In Comment, enter comment for the backup.
  3. In Registry hives, select the registry hives you want to backup.
  4. Click Ok.

Restore registry

  1. Select the backup you want to restore.
  2. Click Restore.
  3. Click Yes.

Edit comment

  1. Select the backup you want to edit.
  2. Click Edit.
  3. In Comment, enter new comment for the backup.
  4. Click Ok.

Delete backup

  1. Select the backup you want to delete.
  2. Click Delete.
  3. Click Yes.


Backup To

Backup local registry to a specific folder

  1. On the File menu, click Backup To.
  2. In the Browse For Folder dialog, select the folder where you want to save the backup and click Ok.
  3. In Comment, enter comment for the backup.
  4. In Registry hives, select the registry hives you want to backup.
  5. Click Ok.


Change Favorites

Change a Favorites item

  1. In the Favorites window, select the Favorites item you want to change.
  2. On the Favorites menu, click Modify.
  3. In the Edit Favorites Item dialog box, modify the Display name, Key name, Value and Description, and then click OK.


Change Value

Change a registry value

  1. Select the value you want to change.
  2. On the Edit menu, click Modify.
  3. In Value data, type the new data for the value, and then click OK..


Command line options

Command line options syntax

Registry Workshop has a number of command line options to help automate it's use in either batch files or from the command prompt.

RegWorkshop.exe [options] [filename] [regpath]
[filename] | Open the registry file in Registry Workshop.
/g [regpath] | Open Registry Workshop and jump to [regpath].
/f [string] | Open Registry Workshop and search the entire registry for [string] with default search parameters.
/s [filename] | Import the registry file without any confirmation.
/e [filename] [regpath] | Export the registry to [filename] starting at [regpath]. Example: RegWorkshop /e c:\temp.reg "HKEY_CURRENT_USER\Control Panel"
/a [filename] [regpath] | Same as /e but always generate version 4 registry files.
/n [computer name or IP address] | Connect network registry.

Notes

  • The [filename] and [regpath] must be enclosed in double quotes if it contains spaces.
  • Registry Workshop will run as console applications when using /s, /e and /a options.

reg: URL protocol syntax

Registry Workshop supports the reg: URL protocol and allows you to open any registry key with Registry Workshop using the address bar of explorer. This feature can also be used to embed registry links into HTML pages and documents that would force Registry Workshop to open and jump to a specific registry key.

reg:[regpath]

Example1: reg:HKEY_CURRENT_USER\Control Panel
Example2: reg:HKCU\Control Panel

Notes

  • The [regpath] should not be enclosed in double quotes.


Compare registries

  1. Open the remote registries or registry files you want to compare. If you want to compare two registry keys in local registry, skip this step.
  2. On the Tools menu, click Compare Registries.
  3. In the Compare dialog box, select the registries and registry keys you want to compare. If you want to compare all the registries, leave the registry keys blank or input "\".
  4. Click Compare.


Connect mobile device registry

  1. Establish a connection with your mobile device using ActiveSync.
  2. On the File menu, click Connect Mobile Device Registry.

Notes

If you disconnect and reconnect your mobile device, you must manually refresh (F5) the registry window to update the connection.


Connect network registry

  1. On the File menu, click Connect Network Registry.
  2. In the Connect Network Registry dialog, browse or type the name of the computer to whose registry you want to connect.

Notes

You must be logged on as an administrator or a member of the Administrators group on both your computer and on the remote computer before you can make any changes to the remote computer's registry. Network policy settings may also prevent you from completing this procedure.


Copy

Copy registry keys and values

  1. Select the keys and values you want to copy.
  2. On the Edit menu, click Copy.


Copy Favorites

Copy a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to copy.
  2. On the Favorites menu, click Copy To.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item or category, and then click OK.

Notes

You can use drag and drop to copy Favorites item or category by pressing and holding the CTRL key while dragging.


Copy Key Name

Copy a registry key name

  1. Select the key you want to copy key name.
  2. Right click to show the popup menu.
  3. To copy the full key name, click Copy Full Key Name. To copy current name only, click Copy Key Name.
  4. Paste the name of the registry key into another program or document.


Copy Value Data

Copy data of a registry value

  1. Select the value you want to copy data.
  2. Right click to show the popup menu.
  3. Click Copy Value Data.
  4. Paste the data of the registry value into another program or document.


Copy Value Name

Copy a registry value name

  1. Select the value you want to copy value name.
  2. Right click to show the popup menu.
  3. Click Copy Value Name.
  4. Paste the name of the registry value into another program or document.


Cut

Cut registry keys and values

  1. Select the keys and values you want to cut.
  2. On the Edit menu, click Cut.


Defragment

Defragment local registry

  1. On the File menu, click Defragment.
  2. Click OK.
  3. In the Defragment dialog, select the registry hives you want to defragment.
  4. Click OK.

How it work?

Registry defragmentation works by recreating each registry hive. To defragment local registry, the program backup the full registry and then restore the backup. You do not need to defragment registry after you have restored a registry backup.


Delete Favorites

Delete Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to delete.
  2. On the Favorites menu, click Delete.


Delete Key and Value

Delete registry keys and values

  1. Select the keys and values you want to delete.
  2. On the Edit menu, click Delete.


Disconnect mobile device registry

To disconnect from a mobile device registry, just close the related registry window.


Disconnect network registry

To disconnect from a network registry, just close the related registry window.


Export all Favorites

  1. On the Favorites menu, click Export All.
  2. In the dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the Favorites.
  3. In File name, enter a name for the Favorites file.
  4. In Save as type, click Registry Workshop Favorites Files or RegEdit Favorites.
  5. Click Save.


Export hive

Export a registry key to a hive file

  1. Select the key that you want to export.
  2. On the File menu, click Export.
  3. In the Export Registry File dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the hive.
  4. In File name, enter a name for the hive.
  5. In Save as type, click Registry Hive Files.
  6. Click Save.


Export reg file

Export all or part of the registry to a text file

  1. Select the registry key(s) and/or value(s) that you want to export.
  2. On the File menu, click Export.
  3. In File name, enter a name for the registry file.
  4. In Save as type, click Win2K/XP Registration Files or Win9x/NT Registration Files.
  5. Click Save.


Export selected Favorites

  1. In the Favorites window, select the category you want to export.
  2. On the Favorites menu, click Export Selected.
  3. In the dialog box, in Save in, click the drive, folder, or network computer and folder where you want to save the Favorites.
  4. In File name, enter a name for the Favorites file.
  5. In Save as type, click Registry Workshop Favorites Files or RegEdit Favorites.
  6. Click Save.


Frequently asked questions

  • What is the relationship between registry hives and files?
  • How can I edit registry on non-bootable Windows system?
  • I can not delete a registry key, is there any way to work around this problem?
  • Can I use abbreviation of root keys in the address bar?
  • I see HKLM and HKU in the snapshot. What about HKCR, HKCU and HKCC?

What is the relationship between registry hives and files?

Windows maintains a list of which hives exist on a particular machine in HKLM\SYSTEM\CurrentControlSet\Control\hivelist. The following table lists standard registry hives and corresponding files.

Regisrty Hive | File
HKLM\SAM | %SystemRoot%\System32\Config\SAM
HKLM\SECURITY | %SystemRoot%\System32\Config\Security
HKLM\SOFTWARE | %SystemRoot%\System32\Config\Software
HKLM\SYSTEM | %SystemRoot%\System32\Config\System
HKU\.DEFAULT | %SystemRoot%\System32\Config\DEFAULT
HKU\SID | Documents and Settings\userName\NTUSER.DAT
HKU\SID_Classes | Documents and Settings\userName\Local Settings \Application Data\Microsoft\Windows\UsrClass.dat

How can I edit registry on non-bootable Windows system?

You can move the hard disk with the corrupted Windows to another computer, use the Load Hive function to load the registry hive and edit it.

I can not delete a registry key, is there any way to work around this problem?

If you are sure it's not a permission problem, you can try the following steps.

  • Select any registry key and export the key to a registry hive file. For performance reason, please do not select a key contains a lot of subkeys and values.
  • Select the parent key of the key you want to delete. If there are other keys and values in the parent key, move these keys and values to other place or export to a REG file.
  • Import the registry hive file on top of the parent key. This operation will overwrite everything in the parent key.
  • Delete the imported keys and values and restore the old content.

Can I use abbreviation of root keys in the address bar?

Yes, you can use following abbreviations.

Root Key | Abbreviation
HKEY_CLASSES_ROOT | HKCR
HKEY_CURRENT_USER | HKCU
HKEY_LOCAL_MACHINE | HKLM
HKEY_USERS | HKU
HKEY_CURRENT_CONFIG | HKCC

I see HKLM and HKU in the snapshot. What about HKCR, HKCU and HKCC?

HKLM and HKU contain all registry data. HKCR, HKCU and HKCC are just links.

Root Key | Equivalent
HKCR | HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU | HKU\SID
HKCC | HKLM\SYSTEM\CurrentControlSet\Hardware Profiles\Current


Features

Registry Workshop key features

  • Multiple undo and redo. The undo history can be saved to disk and reloaded at startup.

  • Search and replace registry keys, values and data with super fast search algorithm.

  • Compare registries between computers and/or .REG files with super fast speed.

  • Connect mobile device registry with ActiveSync.

  • Cut, copy and paste registry keys and values.

  • Drag and drop to move or copy registry keys and values.

  • Edit .REG files and .POL files in the same way as editing system registry.

  • Backup and restore registry.

  • Defragment registry.

  • Easy and flexible Favorites management.

  • Quickly browse registry with address bar, bookmarks and visitation history.

  • Support of linkage aware ability. You can use context menu to navigate to referenced key, open containing folder or open URL if the key or value contains a ProgID, ClassID, folder, file path or URL.

  • Quickly jump to the HKLM or HKCU equivalent.

  • Quickly jump to the Wow6432Node or non-Wow6432Node equivalent.

  • Allow to open multiple local registry windows.

  • Allow to open secure registry keys when running under the administrator privilege.

  • Edit binary data in BYTE, WORD or DWORD format.


Find

Find in the registry

  1. If you want to search in a specified registry key, click the key where you want to search.
  2. On the Search menu, click Find.
  3. In Find what, type what you want to find.
  4. Select the Search keys, Search values, Search data, and Match Case, Match whole string, Use wildcard search, Use binary search check boxes to match the type of search you want.
  5. Select the Search the entire registry or Search in key radio button as you wish.
  6. Click Find.
  7. The find status dialog appears, you can click Cancel to stop searching.

How to search using wildcards?

You can use '*' and '?' as wildcard when searching registry. The '*' represent zero or more characters and the '?' represent any single character. For example, to search for all strings begin with "abc", type "abc*".

Notes

  • Duplicated matches will be removed from the Find Results automatically.
  • Binary search should be only used to search non-text information in registry.
  • You can search for partial of registry key path. For example, the key "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Command Processor" will be found when searching for "Microsoft\Command". But the replace function does not work on the found keys.
  • You can right click in the find results window to show a context menu and using this menu to manage the find results.


Import Favorites

  1. On the Favorites menu, click Import.
  2. In Look in, select the drive, folder, or network computer and folder in which the Favorites file is located.
  3. Select the correct file name.
  4. Click Open.

Notes

Imported Favorites items will overwrite current items that have same name.


Import hive

Import a registry key from a hive file

  1. Select the key in which you want to restore the hive.
  2. On the File menu, click Import.
  3. In Look in, select the drive, folder, or network computer and folder in which the hive is located.
  4. In Files of type, click Registry Hive Files.
  5. Select the correct file name for the hive.
  6. Click Open.

Notes

The Registry Hive Files will not be displayed in Files of type if you select one of the root keys.


Import reg file

Import some or all of the registry

  1. On the File menu, click Import.
  2. In Files of type, click Registration Files.
  3. Find the file you want to import, click the file to select it, then click Open.


Installation

System Requirements

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows 8
  • Windows 10

Installation

Run RegistryWorkshop.exe and follow the instructions.

Uninstallation

Run 'Uninstall' on the Registry Workshop Start Menu folder or open 'Add/Remove Programs' in Control Panel and double-click 'Registry Workshop' in the list box.


Jump Favorites

Jump to the keys or values that are stored in a Favorites item

  1. In the Favorites window, double click the Favorites item.


License

License Agreement
You should carefully read the following terms and conditions before using this software. By using this software you indicate your acceptance of this license agreement and warranty.

Evaluation and Registration
Registry Workshop is shareware. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

Distribution of the evaluation version
You may copy the evaluation version of this software and documentation as you wish, and give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. But you should not charge or requesting donations for any such copies however made and from distributing the software and/or documentation with other products without the author's written permission.

Registered version
One registered copy of Registry Workshop may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of Registry Workshop through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

NO WARRANTY
THIS SOFTWARE IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.


Load Hive

Load a hive into the registry

  1. On the File menu, click Load Hive.
  2. In Look in, click the drive, folder, or network computer and folder that contains the hive you want to load.
  3. Click Open.
  4. In Key name, type the name that you want to assign to the hive.
  5. In Parent key, click HKEY_LOCAL_MACHINE or HKEY_USERS keys.
  6. Click OK.

Notes

Load Hive and Unload Hive affect only the HKEY_LOCAL_MACHINE and HKEY_USERS keys and are active only when these predefined keys are selected. When you load a hive into the registry, the hive becomes a subkey of one of these keys.


Mark As Delete

Mark registry keys and values as delete

This feature is only for registry files. Using this feature you can add delete command to registry files.

  1. Select the keys and values.
  2. Right click to show the popup menu.
  3. Click Mark As Delete.

Notes

  • If the key or value is already marked as delete, perform this operation again will toggle the state.
  • If you want the key will be deleted when importing the registry file, you must delete all the sub keys and values in the key.
  • This operation does not support undo and redo.


Move Favorites

Move a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to move.
  2. On the Favorites menu, click Move To.
  3. In the Select Category dialog box, click the category where you want to put the Favorites item or category, and then click OK.

Notes

You can use drag and drop to move Favorites item or category.


Paste

Paste registry keys and values

  1. Click the key where you want to paste.
  2. On the Edit menu, click Paste.


Permissions

Edit permissions of a registry keys

  1. Click the key which you want to edit permission.
  2. On the Edit menu, click Permissions.


Registration

Registry Workshop is NOT a free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, you must pay registration fee.

Benefits for registered users

  • Free updates in the lifetime of this product.

  • Free technical support by e-mail.

  • By registering Registry Workshop you are supporting the further development of this software.


Rename Favorites

Rename a Favorites item or category

  1. In the Favorites window, select the Favorites item or category you want to rename.
  2. On the Favorites menu, click Rename.
  3. Type the new name, and then press ENTER.


Rename Key or Value

Rename a registry key or value

  1. Click the key or value you want to rename.
  2. On the Edit menu, click Rename.
  3. Type the new name, and then press ENTER.


Replace

Replace in find results

  1. Active the find results window. If you want to replace selected items only, select the items which you want to replace.
  2. On the Search menu, click Replace in Find Result x.
  3. In Replace With, type what you want to replace.
  4. Select the Search keys, Search values, Search data, and Match Case, Match whole string check boxes to match the type of search you want.
  5. Select the Search all items in find results or Search selected items radio button as you wish.
  6. Click Replace.

Notes

  • The replace function will be disabled when using wildcard search or binary search.
  • The successfully replaced items will be removed from the find results window.


Restore From

Restore local registry from a specific folder

  1. On the File menu, click Restore From.
  2. In the Browse For Folder dialog, select the folder where the backup is located.
  3. Click Ok.


Directories Settings

Favorites

Specifies the directory where the Favorites configuration file is stored. Registry Workshop will try to load Favorites configuration file favorites.dat in this directory on startup.

Registry backups

Specifies the directory where the registry backups are stored.

HTML reports

Specifies the directory where the HTML reports of find results and compare results are stored.


Display Settings

Show registry keys in list view

Select this check box to show both registry keys and values in list view.

Full row select in list view

Select this check box to set full row select mode to list view.

Color of access denied registry keys

This setting allow you custom the display color of registry keys that return access denied error when opening normally.

Color of items marked as delete in .reg file

This setting allow you custom the display color of registry keys and values that marked as delete in the editing file.

Color of search hits in find results

This setting allow you custom the display color of search hits in find results.

Color of bookmark

This setting allow you custom the background color of bookmarked registry items.

Font

This setting allow you set the font in tree views and list views.


General Settings

Jump to last active registry key on start up

Select this check box to automatically jump to the last active registry key when launching this program.

Default to read only

Select this check box to set read only mode when opening a registry editing window. You can change the read only mode of current editing window by select Read Only from the Edit menu.

Enable drag and drop

Select this check box to enable using drag and drop to do move or copy operations.

  • If you drag and drop in the same registry window, the program will move the keys or values.
  • If you press and hold CTRL key while dragging and dropping, the program will copy the keys or values.
  • If you drag and drop between two registry windows, the program will copy the keys or values.
  • If you drag a key or value to Favorites window, the program will add the key or value to Favorites.
  • If you drag inside the Favorites window, you can move or copy Favorites between category.

Try to open registry keys by force if access is denied

If this program is running under the administrator privilege, this setting will allow you to open registry keys normally have no right to access it.

Show most recently used files

Select this check box to show recently used registry files on File menu.

Max num

This setting allow you to set the maximum number of recently used files displayed on File menu. The default setting is 10.

Show most recently used files on submenus

When selected, the recently used registry files are listed on submenus of the File menu. Otherwise, the recently used registry files are listed on the File menu itself.

Save undo history of local registry on exit

Select this check box to save undo history of local registry on exit.

Maximum size of undo history

This setting allow you to set the maximum number of actions in undo history. If the size of undo history exceed this size, the program will remove the oldest action. The default setting is 1000.

Maximum size of find results

This setting allow you to set the maximum size of find results. The default setting is 1000.

Language

This setting allow you set the interface language of this program.


Prompt Settings

Confirm delete keys or values

Select this check box to popup a confirm message box when executing delete or cut command.

Confirm overwrite keys or values

Select this check box to popup a confirm message box when writing to keys or values that already exist.

Confirm move operations when dragging and dropping

Select this check box to popup a confirm message box when dragging and dropping to move registry keys, registry values or Favorites.

Confirm copy operations when dragging and dropping

Select this check box to popup a confirm message box when dragging and dropping to copy registry keys, registry values or Favorites.

Confirm import registry hive file

Select this check box to popup a confirm message box when importing a registry hive file.

Confirm undo or redo actions in History window

Select this check box to popup a confirm message box when selecting 'Undo This Action', 'Redo This Action' or 'Goto Here' from the context menu in History window.

Prompt to create key when jumping to a non-existing key

Select this check box to prompt the user to create the missing key when jumping to a non-existing key.

Show error message when jumping to a non-existing value

Select this check box to show a error message when jumping to a non-existing value.

Play a sound when the find is complete

Select this check box to play a sound to notify you when the find is complete.

Prompt to add comment when exporting registry to a file

Select this check box to popup a "Edit Comment" Dialog when exporting registry to a file.


Shell Settings

Show context menu on .reg files

Select this check box to show 'Registry Workshop' menu item on context menu when right clicking on .reg files.

Show Registry Workshop on desktop

Select this check box to create a shortcut of this program on the desktop. Clear this check box to delete the shortcut from desktop.


Shortcut keys

The following table lists the shortcut keys used in Registry Workshop.

Shortcut keys | Description
F1 | Opens help file
Ctrl + N | Creates a new REG file
Ctrl + O | Opens an existing REG file
Ctrl + S | Saves the active REG file
Alt + F4 | Quits Registry Workshop
Alt + Enter | Opens key properties dialog
Ctrl + A | Selects all items in the list
Ctrl + Z | Undoes the last action
Ctrl + Y | Redoes the previously undone action
Ctrl + C, Ctrl + Ins | Copies the selection and put it on the Clipboard
Ctrl + X, Shift + Del | Cuts the selection and put it on the Clipboard
Ctrl + V, Shift + Ins | Inserts Clipboard contents
Del | Deletes the selection
F2 | Renames the selection
Ctrl + F | Opens Find dialog
Alt + F3 | Searches again using last find criteria
F3 | Goes to the next matched key or value in last find results
Shift + F3 | Goes to the previous matched key or value in last find results
Ctrl + G | Opens Go To Key dialog
Alt + D | Active address bar
F4 | Active address bar and pull down the list
F5 | Refreshes the active registry window
F6 | Goes to the next bookmark
Shift + F6 | Goes to the previous bookmark
Ctrl + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Set or toggle bookmark
Alt + [1, 2, 3, 4, 5, 6, 7, 8, 9, 0] | Goes to the bookmark
F7 | Switches between registry window and docking pane window
Ctrl + F7 | Switches to the next docking pane window
Ctrl + Shift + F7 | Switches to the previous docking pane window
Tab | Switches between registry tree and registry list in registry window, or switches between the two lists in Compare Results window
Ctrl + Tab | Switches to the next registry window
Ctrl + Shift + Tab | Switches to the previous registry window
F11 | Goes to the next difference in the compare results list
Shift + F11 | Goes to the previous difference in the compare results list
Backspace | Goes up one level
Alt + Up Arrow | Goes up one level
Ctrl + Back Mouse Button | Goes up one level
Alt + Left Arrow | Goes to the previous key in visitation history
Back Mouse Button | Goes to the previous key in visitation history
Alt + Right Arrow | Goes to the next key in visitation history
Forward Mouse Button | Goes to the next key in visitation history
Applications key, Shift + F10 | Displays context menu
Middle Mouse Button | Closes a registry tab by clicking on it
Shift + ~ | Jumps to the Wow6432Node or non-Wow6432Node equivalent
Ctrl + ~ | Jumps to the HKLM or HKCU equivalent
Ctrl + E | Exports selected keys and values to a file
Ctrl + Q | Loads a hive file to the registry
Ctrl + W | Unloads a hive from the registry
Ctrl + T | Toggles topmost state
Ctrl + R | Replace in find results 1


Snapshot

Create snapshot of local registry

  1. On the File menu, click Create Snapshot of Local Registry.
  2. Wait several seconds and a new registry window will be opened.

Notes

You will find HKCR, HKCU and HKCC do not exist in the snapshot. Because HKLM and HKU contain all registry data. HKCR, HKCU and HKCC are just links.

    HKCR = HKCU\Software\Classes + HKLM\SOFTWARE\Classes
HKCU = HKU\SID
HKCC = HKLM\SYSTEM\CurrentControlSet\Hardware
Profiles\Current


Support

Homepage

If you want to get the latest information about Registry Workshop, please visit our homepage on the web. You can also download latest version of Registry Workshop at our homepage.
http://www.torchsoft.com

Feedback

Please send any bug report, suggestion, question and comment to the author at following address.
support@torchsoft.com

If you want to report a bug please provide the following information:

  • Can you reproduce the bug? If so, please describe the steps that lead to the error you're encountering. Be as precise as possible.

  • Which version of Registry Workshop are you using?

  • Which version of Windows are you using?

  • If an error message was displayed, please quote the exact content of that message.


Unload Hive

Unload a hive from the registry

  1. Select a hive that you have previously loaded onto your system.
  2. On the File menu, click Unload Hive.


Welcome

Welcome to Registry Workshop

Registry Workshop is an advanced registry editor. It is a perfect replacement for RegEdit and RegEdt32 which shipped with Windows.

In addition to all the standard features, Registry Workshop adds a variety of powerful features that allow you to work faster and more efficiently with registry related tasks. You can cut, copy and paste registry keys and values. You can undo and redo modifications. You can search and replace registry keys, values and data quickly and easily. It allows edit REG files in the same way as editing system registry. It also offers easy and flexible functions to manage Favorites.

With Registry Workshop, registry editing becomes more safe than ever before. All changes except changing key permissions can be safely reversed, using multiple levels of Undo. You don't need to worry about making mistakes when editing registry.

Whether you are an advanced user who needs to edit and modify your registry to remove trojan, virus, and spyware entries, a system administrator who needs a safer, more efficient tool to maintain your company's PCs, or a software developer who needs to quickly manipulate registry keys and values during system development, Registry Workshop has the tools that you need.